package com.m2pool.system;

import com.m2pool.common.security.annotation.EnableCustomConfig;
import com.m2pool.common.security.annotation.EnableM2PoolFeignClients;
import com.m2pool.common.swagger.annotation.EnableCustomSwagger2;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;

/**
 * @Description 系统模块启动类
 * @Date 2024/6/13 11:13
 * @Author dy
 */

@EnableCustomConfig
@EnableCustomSwagger2
@EnableM2PoolFeignClients
@SpringBootApplication
@MapperScan({"com.m2pool.system.mapper"})
public class M2PoolSystemApplication {

    public static void main(String[] args) {
        try {
            SpringApplication.run(M2PoolSystemApplication.class);
            System.out.println("m2pool-system启动成功");
        }catch (Exception e){
            System.out.println(e);
        }

    }



}
